Bug 495004 - xorg-x11-drv-intel-2.6.99.902-2.fc11 broke Xv video, corruption/crash
xorg-x11-drv-intel-2.6.99.902-2.fc11 broke Xv video, corruption/crash
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-08 22:20 EDT by Warren Togami
Modified: 2009-04-13 11:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-13 11:48:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
diff between working and broken version (32.53 KB, patch)
2009-04-08 22:32 EDT, Warren Togami
no flags Details | Diff

  None (edit)
Description Warren Togami 2009-04-08 22:20:28 EDT
OLD: xorg-x11-drv-intel-2.6.99.902-1.fc11.x86_64
NEW: xorg-x11-drv-intel-2.6.99.902-2.fc11.x86_64 

The upgrade from OLD to NEW introduced a regression.  mplayer outputting xv video in nomodeset mode causes the screen to turn to garbage while the speakers scream noise.

xorg-x11-server-Xorg-1.6.0-17.fc11.x86_64
libdrm-2.4.6-3.fc11.x86_64
kernel-2.6.29.1-54.fc11.x86_64

Workarounds
===========
* If compiz is running,      the corruption does not happen.
* If "nomodeset" is removed, the corruption does not happen.
* Downgrade to OLD version,  the corruption does not happen.
Comment 1 Warren Togami 2009-04-08 22:32:26 EDT
Created attachment 338835 [details]
diff between working and broken version
Comment 2 Mace Moneta 2009-04-09 00:52:09 EDT
I'm seeing this too.  In syslog when X dies on G45/X4500HD:

Apr  8 21:03:32 shadow kernel: [drm:i915_gem_idle] *ERROR* hardware wedged
Apr  8 21:03:32 shadow kernel: [drm:i915_get_vblank_counter] *ERROR* trying to g
et vblank count for disabled pipe 1
Apr  8 21:03:33 shadow kernel: [drm:i915_gem_entervt_ioctl] *ERROR* Reenabling w
edged hardware, good luck

Apparently, more than luck is needed as killing X is ineffective and the system must be rebooted. Downgrade to the prior driver works.
Comment 3 Warren Togami 2009-04-09 13:32:17 EDT
When my system crashes here, ssh logins over the network freeze, perhaps indicating that the entire system has crashed.

git clone git://anongit.freedesktop.org/git/xorg/driver/xf86-video-intel
git checkout origin/2.7
cd xf86-video-intel
./autogen.sh
make

I tried upstream 2.7 branch at commit ec8ef3b2984cef581ea7fa745a76fe6f97a952dd and it does not crash anymore.
Comment 4 Adam Jackson 2009-04-13 11:48:24 EDT
Rebased to today's git snapshot, should be resolved in 2.6.99.902-3.fc11.

Note You need to log in before you can comment on or make changes to this bug.